<?php
    class KeywordLink {
        public $keyword;
        public $link;

        public function __construct($keyword, $link) {
            $this->keyword = $keyword;
            $this->link = $link;
        }
    }

    class KeywordLinkList {
        private static $keywordLinkList = array(
            array("keyword" => "Wordpress Security", "link" => "https://protectremote.com/wordpress"),
            array("keyword" => "Wordpress Security Plugin", "link" => "https://protectremote.com/wordpress"),
            array("keyword" => "WordPress Login Page Security", "link" => "https://protectremote.com/wordpress"),
            array("keyword" => "WordPress Change Login Page", "link" => "https://protectremote.com/wordpress"),
            array("keyword" => "WP Guard", "link" => "https://protectremote.com/wordpress"),
            array("keyword" => "RDP Protection", "link" => "https://protectremote.com"),
            array("keyword" => "RDP Guard", "link" => "https://protectremote.com"),
            array("keyword" => "Block RDP Attacks", "link" => "https://protectremote.com"),
            array("keyword" => "Prevent RDP Attacks", "link" => "https://protectremote.com"),
            array("keyword" => "RDP Brute Force", "link" => "https://protectremote.com"),
            array("keyword" => "Secure RDP", "link" => "https://protectremote.com"),
            array("keyword" => "Remote Desktop Security", "link" => "https://protectremote.com"),
            array("keyword" => "Secure SSH", "link" => "https://protectremote.com"),
            array("keyword" => "SSH Security", "link" => "https://protectremote.com"),
            array("keyword" => "Brute Force Protection", "link" => "https://protectremote.com"),
            array("keyword" => "SSH Brute Force", "link" => "https://protectremote.com"),
            array("keyword" => "Prevent SSH Attacks", "link" => "https://protectremote.com"),
            array("keyword" => "Block SSH Attacks", "link" => "https://protectremote.com"),
            array("keyword" => "Windows Server Protection", "link" => "https://protectremote.com"),
            array("keyword" => "Linux Server Protection", "link" => "https://protectremote.com")
        );
    
        public static function getKeywordLinkList() {
            return self::$keywordLinkList;
        }

        public static function getRandomIndex() {
            $maxIndex = count(self::$keywordLinkList) - 1;
            return rand(0, $maxIndex);
        }

        public static function getObjectAtIndex($index) {
            if (isset(self::$keywordLinkList[$index])) {
                $item = self::$keywordLinkList[$index];
                return new KeywordLink($item['keyword'], $item['link']);
            } else {
                return null; 
            }
        }
    }
?>